const State = require('../State')

class CommandState extends State {
    static get services() {
        return [...super.services, 'output']
    }

    async apply() {
        const cmd = `${this._config.cmd}`
        await this._host.run(cmd)
    }

    async check() {
        return false
    }

    async reverse() {
        if ( this._config.reverse ) {
            const cmd = `${this._config.reverse}`
            await this._host.run(cmd)
        }
    }

}

module.exports = exports = CommandState
